#info Theli-at's Pseudo Kleinian (Scale 1 JuliaBox + Something (here a Menger Sponge)).
#define providesInit

#include "de-kn2.frag"
#include "MathUtils.frag"
#group PseudoKleinian

// Made by Knighty, see this thread:
// http://www.fractalforums.com/3d-fractal-generation/fragmentarium-an-ide-for-exploring-3d-fractals-and-other-systems-on-the-gpu/msg32270/#msg32270

#define USE_INF_NORM

// Maximum iterations
uniform int MI; slider[0,5,100]
uniform int MI2; slider[0,60,200]
uniform float v1; slider[0,1,10]
//uniform float v2; slider[0,1,10]
uniform vec3 v2; slider[(0,0,0),(1,1,1),(10,10,10)]
uniform float v3; slider[0,0,1]
uniform vec3 w1; slider[(0,0,0),(1,1,1),(2,2,2)]

// Size
uniform float Size; slider[0,1,2]

// Cubic fold Size
uniform vec3 CSize; slider[(0,0,0),(1,1,1),(2,2,2)]

// Julia constant
uniform vec3 C; slider[(-2,-2,-2),(0,0,0),(2,2,2)]

// Basic shape DE Offset
uniform float DEoffset; slider[0,0,0.01]

// Basic shape Translation
uniform vec3 Offset; slider[(-2,-2,-2),(0,0,0),(2,2,2)]

//Basic shape
uniform int ColorIterations;  slider[0,2,20]



// Number of fractal iterations.
uniform int iIterations;  slider[0,1,100]
// Number of color iterations.
uniform float iScale; slider[0.00,2.0,4.00]
uniform float Bailout; slider[10.00,100.0,1000.00]
//Size of the polyhedra
uniform float iSize; slider[-2.0,.5,2.00]

//normal of the cutting plane
uniform vec3 plnormal; slider[(-1,-1,-1),(1,0,0),(1,1,1)]

#define Phi (.5*(1.+sqrt(5.)))

vec3 n1 = normalize(vec3(-Phi,Phi-1.0,1.0));
vec3 n2 = normalize(vec3(1.0,-Phi,Phi+1.0));
vec3 n3 = normalize(vec3(0.0,0.0,-1.0));


uniform vec3 iOffset; slider[(0,0,0),(0.850650808,0.525731112,0),(1,1,1)]

uniform float Angle1; slider[-180,0,180]
uniform vec3 Rot1; slider[(-1,-1,-1),(1,1,1),(1,1,1)]
uniform float Angle2; slider[-180,0,180]
uniform vec3 Rot2; slider[(-1,-1,-1),(1,1,1),(1,1,1)]

mat4 M;

void init() {
mat4 fracRotation2 = rotationMatrix(normalize(Rot2), Angle2);
mat4 fracRotation1 = rotationMatrix(normalize(Rot1), Angle1);
M = fracRotation2 * fracRotation1;
}

float Menger(vec3 z)
{
float dmin=10000.;
float s=1.;
for(int i=0; i<iIterations && dot(z,z)<Bailout; i++){
	float t;
	// Folds.
	//Dodecahedral
	z = abs(z);
	if (z.x<z.y){ z.xy = z.yx;}
	if (z.x< z.z){ z.xz = z.zx;}
	if (z.y<z.z){ z.yz = z.zy;}
	z = iScale*z-iOffset*(iScale-1.0);
	if( z.z<-0.5*iOffset.z*(iScale-1.0))  z.z+=iOffset.z*(iScale-1.0);
	
	// Rotate, iScale, rotate (we need to cast to a 4-component vector).
	z = (M*vec4(z,1.0)).xyz;s/=iScale;
}
//Distance to the plane going through vec3(Size,0.,0.) and which normal is plnormal
return abs(s*dot(z-vec3(iSize,0.,0.),normalize(plnormal)));
}





float Thing2(vec3 p){
//Just scale=1 Julia box
#ifdef USE_INF_NORM   
	vec3 p1=abs(p);
	float r2=max(p1.x,max(p1.y,p1.z));
#else
	float r2=dot(p,p);
#endif
	float DEfactor=1.;
   
	for(int i=0;i<MI && r2<MI2;i++){
		p=v2*clamp(p, -CSize, CSize)-p*w1;
      
		r2=dot(p,p);
		//orbitTrap = min(orbitTrap, abs(vec4(p,r2)));
		float k=max(Size/r2,v1);
		p*=k+(v3/10);DEfactor*=k;
      
		p+=C;
#ifdef USE_INF_NORM   
		p1=abs(p);
		r2=max(p1.x,max(p1.y,p1.z));
#else
		 r2=dot(p,p);
#endif
		if (i < ColorIterations) orbitTrap = min(orbitTrap, abs(vec4(p,r2)));
	}
	//Call basic shape and scale its DE
	return abs(0.5*Menger(p-Offset)/DEfactor-DEoffset);
}

float DE(vec3 p){
	return  Thing2(p);//RoundBox(p, CSize, Offset);
}


#preset Default
FOV = 0.4
Eye = 6.05214,-2.36465,-4.59503
Target = 6.05491,-2.27615,-4.64055
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 7
ApertureRot = 0
ApStarShaped = false
Gamma = 1.7
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
Detail = -3.04633
FudgeFactor = 0.35366
MaxDistance = 15.87
Dither = 1
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.5
CamLightMin = 1
LightPos = 5,-2.826,-3.2608
LightSize = 0.11
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.411765,0.6,0.556863,0.22448
Y = 0.592157,0.666667,0.592157,0.15686
Z = 0.560784,0.627451,1,-0.0196
R = 0.666667,0.666667,0.498039,0.58416
BackgroundColor = 0.466667,0.588235,0.6
GradientBackground = 0.3
CycleColors = false
Cycles = 0.1
MI = 11
MI2 = 16
v1 = 1
v2 = 2,2,2
v3 = 1
w1 = 0.85484,1,0.80646
Size = 1.46218
CSize = 1,1,1
C = -0.11024,0,0
DEoffset = 0
Offset = 1.26088,1.52172,-0.69564
ColorIterations = 6
iIterations = 3
iScale = 4
Bailout = 100
iSize = 0.5
plnormal = 1,0,0
iOffset = 0.850651,0.525731,0
Angle1 = 0
Rot1 = 1,1,1
Angle2 = 0
Rot2 = 1,1,1
BloomTaps = 4
MaxRaySteps = 581
Glow = 1,1,1,0
GlowMax = 20
Up = -0.0719279,0.36129,0.698057
DetailAO = -0.5
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.870588,0.737255,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 0.1
HF_Const = 0.08421
HF_Intensity = 0
HF_Dir = 0,0,1
HF_Offset = 0
HF_Color = 0.72549,0.588235,0.470588,1
HF_Scatter = 0
HF_Anisotropy = 0,0,0
HF_FogIter = 1
HF_CastShadow = false
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
#endpreset



#preset 01
FOV = 0.4
Eye = 1.43837,-12.076,-3.02747
Target = 1.46022,-11.9789,-3.02515
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 2
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
Detail = -3.04633
FudgeFactor = 0.21951
MaxDistance = 216.67
Dither = 1
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.43076
CamLightMin = 1
LightPos = -1.6854,-6.6292,-4.1574
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.411765,0.6,0.556863,0.22448
Y = 0.592157,0.666667,0.592157,1
Z = 0.937255,0.905882,1,1
R = 0.666667,0.666667,0.498039,0.67308
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 0.3
CycleColors = false
Cycles = 12.0253
MI = 15
MI2 = 16
v1 = 0.9091
v2 = 2,2.314,1.6529
v3 = 0
w1 = 1.104,0.832,0.56
Size = 1.46218
CSize = 1,1,1
C = -0.11024,0,0
DEoffset = 0
Offset = 0,0,-1
ColorIterations = 6
iIterations = 5
iScale = 3
Bailout = 132.364
iSize = 1
plnormal = 1,0,0
iOffset = 1,0.525731,0
Angle1 = 0
Rot1 = 1,1,1
Angle2 = 0
Rot2 = 1,1,1
BloomTaps = 4
MaxRaySteps = 1011
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -0.5
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.870588,0.737255,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = true
FloorNormal = 0,0,1
FloorHeight = -5.558
FloorColor = 1,1,1
HF_Fallof = 0.84252
HF_Const = 0
HF_Intensity = 0.2987
HF_Dir = 0,0,-0.41748
HF_Offset = 1.6456
HF_Color = 0.721569,0.807843,1,1
HF_Scatter = 10
HF_Anisotropy = 0.490196,0.490196,0.490196
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = 0.0011188,0.0115662,-0.494935
#endpreset


#preset 02
FOV = 0.4
Eye = 1.97376,-7.82792,-3.39007
Target = 1.89959,-7.76389,-3.37246
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 2
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
Detail = -3.04633
FudgeFactor = 0.47436
MaxDistance = 216.67
Dither = 1
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.43076
CamLightMin = 1
LightPos = -1.6854,-6.6292,-4.1574
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.411765,0.6,0.556863,0.22448
Y = 0.592157,0.666667,0.592157,1
Z = 0.937255,0.905882,1,1
R = 0.666667,0.666667,0.498039,0.67308
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 0.3
CycleColors = false
Cycles = 12.0253
MI = 20
MI2 = 16
v1 = 0.9091
v2 = 2,2.314,1.6529
v3 = 0.68504
w1 = 1.104,0.832,0.576
Size = 1.46218
CSize = 1,1,1
C = -0.11024,0,0
DEoffset = 0
Offset = 0,0,-1
ColorIterations = 6
iIterations = 11
iScale = 3
Bailout = 132.364
iSize = 2
plnormal = 1,0,0
iOffset = 1,0.5,0
Angle1 = -172.001
Rot1 = 0.71428,0,0.875
Angle2 = 0
Rot2 = 1,0,0
BloomTaps = 4
MaxRaySteps = 1011
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -0.5
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.870588,0.737255,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = true
FloorNormal = 0,0,1
FloorHeight = -5.558
FloorColor = 1,1,1
HF_Fallof = 0.84252
HF_Const = 0
HF_Intensity = 0.2987
HF_Dir = 0,0,-0.41748
HF_Offset = 1.6456
HF_Color = 0.721569,0.807843,1,1
HF_Scatter = 10
HF_Anisotropy = 0.490196,0.490196,0.490196
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = -0.0674078,0.055907,-0.487264
#endpreset


#preset 03
FOV = 0.4
Eye = 0.999298,-8.26939,-2.93296
Target = 1.00303,-8.17022,-2.92509
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 1
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
Detail = -3.04633
FudgeFactor = 0.47436
MaxDistance = 216.67
Dither = 1
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,1
CamLightMin = 1
LightPos = -1.6854,-6.6292,-4.1574
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,0.8,0.6
OrbitStrength = 0
X = 0.0392157,0,0.6,1
Y = 0.666667,0.345098,0.156863,1
Z = 0.580392,0.47451,1,1
R = 0.501961,0.615686,0.666667,1
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 0.3
CycleColors = false
Cycles = 3.57245
MI = 20
MI2 = 21
v1 = 0.9091
v2 = 2,2.314,1.6529
v3 = 0.68504
w1 = 1.104,1.04,0.576
Size = 1.46218
CSize = 1,1,1
C = -0.11024,0,0
DEoffset = 0
Offset = 0,0,-1
ColorIterations = 0
iIterations = 15
iScale = 1.46428
Bailout = 132.364
iSize = 2
plnormal = 1,0.05264,0.43158
iOffset = 0.93396,0.38679,0
Angle1 = -172.001
Rot1 = 0.71428,0,0.875
Angle2 = 0
Rot2 = 1,0,0
BloomTaps = 4
MaxRaySteps = 1011
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -0.5
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.956863,0.815686,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = true
FloorNormal = 0,0,1
FloorHeight = -5.558
FloorColor = 1,1,1
HF_Fallof = 0.84252
HF_Const = 0
HF_Intensity = 0.2987
HF_Dir = 0,0,-0.41748
HF_Offset = 3.6708
HF_Color = 0.721569,0.807843,1,1.10769
HF_Scatter = 10
HF_Anisotropy = 0.490196,0.490196,0.490196
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = -0.0129628,0.0396165,-0.493314
#endpreset

#preset 04
FOV = 0.4
Eye = 1.00217,-8.25818,-2.92151
Target = 0.997629,-8.16169,-2.94556
FocalPlane = 0.92932
Aperture = 0.08334
InFocusAWidth = 2.77
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 0.76925
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2.5
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
Detail = -3.2
FudgeFactor = 0.36709
MaxDistance = 216.67
Dither = 1
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.8
CamLightMin = 1
LightPos = -1.6854,-6.6292,-4.1574
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,0.8,0.6
OrbitStrength = 0
X = 0.0392157,0,0.6,1
Y = 0.666667,0.345098,0.156863,1
Z = 0.580392,0.47451,1,1
R = 0.501961,0.615686,0.666667,1
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 0.3
CycleColors = false
Cycles = 3.57245
MI = 20
MI2 = 21
v1 = 0.9091
v2 = 2,2.314,1.6529
v3 = 0.68504
w1 = 1.104,1.04,0.576
Size = 1.46218
CSize = 1,1,1
C = -0.11024,0,0
DEoffset = 0
Offset = 0,0,-1
ColorIterations = 0
iIterations = 15
iScale = 1.46428
Bailout = 132.364
iSize = 2
plnormal = 1,0.05264,0.43158
iOffset = 0.93396,0.38679,0
Angle1 = -172.001
Rot1 = 0.71428,0,0.875
Angle2 = 112
Rot2 = 1,0,0
BloomTaps = 4
MaxRaySteps = 1011
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -0.5
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.956863,0.815686,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0.10256,-0.3077,1
FloorHeight = -2.965
FloorColor = 0.788235,0.713725,0.564706
HF_Fallof = 0.84252
HF_Const = 0
HF_Intensity = 0.2987
HF_Dir = 0,0,-0.41748
HF_Offset = 3.6708
HF_Color = 0.721569,0.807843,1,1.10769
HF_Scatter = 10
HF_Anisotropy = 0.490196,0.490196,0.490196
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = 0.00971258,-0.0532504,-0.215525
#endpreset


#preset 05
FOV = 0.5042
Eye = 1.62823,-11.4149,-2.95599
Target = 1.70384,-11.3557,-2.98234
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 1
ToneMapping = 5
Exposure = 0.98637
Brightness = 0.91
Contrast = 1.5
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 0.3
BloomPow = 2
Detail = -3.04633
FudgeFactor = 0.37975
MaxDistance = 16.67
Dither = 1
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,1
CamLightMin = 1
LightPos = -1.6854,-7.0786,-4.6914
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.321569,0.517647,0.6,-0.21212
Y = 0.854902,0.960784,0.854902,0.63636
Z = 1,0.882353,0.584314,-0.77778
R = 0.592157,0.568627,0.654902,0.57142
BackgroundColor = 0.827451,0.827451,0.827451
GradientBackground = 0.3
CycleColors = false
Cycles = 12.0253
MI = 22
MI2 = 50
v1 = 0.8041
v2 = 2,2.25,1.6529
v3 = 0.3622
w1 = 1.104,0.832,0.56
Size = 1.46666
CSize = 1.46938,0.87996,1
C = -0.11024,0,0
DEoffset = 0
Offset = 0,0.396,-0.07692
ColorIterations = 6
iIterations = 7
iScale = 3
Bailout = 132.364
iSize = 1
plnormal = 1,0,0
iOffset = 0.96226,0.525731,0
Angle1 = 176.58
Rot1 = 1,1,1
Angle2 = 180
Rot2 = 1,1,0
BloomTaps = 20
MaxRaySteps = 1011
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.870588,0.737255,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0,0,1
FloorHeight = -2.95
FloorColor = 1,1,1
HF_Fallof = 0.15838
HF_Const = 0
HF_Intensity = 0.15584
HF_Dir = 0,-0.41748,-1
HF_Offset = 3.924
HF_Color = 0.827451,0.901961,1,1
HF_Scatter = 10
HF_Anisotropy = 0.490196,0.490196,0.490196
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = -0.185912,-0.147261,-0.864446
#endpreset


#preset 06
FOV = 0.5042
Eye = -5.32471,-6.30503,-4.10651
Target = -5.22619,-6.29569,-4.09571
FocalPlane = 1
Aperture = 0
InFocusAWidth = 1
ApertureNbrSides = 7
ApertureRot = 15
ApStarShaped = false
Gamma = 0.53845
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1.5
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.29412
BloomPow = 5.0588
Detail = -3.1
FudgeFactor = 0.37975
MaxDistance = 13
Dither = 1
NormalBackStep = 1
SpecularExp = 500
CamLight = 0.772549,0.894118,1,0.73846
CamLightMin = 1
LightPos = -1.6854,-7.0786,-4.6914
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 0.494118,0.494118,0.494118
OrbitStrength = 0.87671
X = 0.321569,0.517647,0.6,-0.11112
Y = 0.854902,0.960784,0.854902,0.29292
Z = 1,0.882353,0.584314,-0.77778
R = 0.584314,0.568627,0.654902,0.67346
BackgroundColor = 0.827451,0.827451,0.827451
GradientBackground = 0.3
CycleColors = false
Cycles = 0.8538
MI = 22
MI2 = 20
v1 = 0.8041
v2 = 2,2,1.5929
v3 = 1
w1 = 1.0909,0.61818,0.58182
Size = 1.21904
CSize = 1.81632,1.06122,0.63266
C = -0.11024,0,0
DEoffset = 0
Offset = 0,0.396,-0.07692
ColorIterations = 6
iIterations = 7
iScale = 3
Bailout = 132.364
iSize = 1
plnormal = 1,0,0
iOffset = 0.96226,0.525731,0
Angle1 = 176.58
Rot1 = 1,1,1
Angle2 = 180
Rot2 = 1,1,0
BloomTaps = 20
MaxRaySteps = 2000
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.729412,0.505882,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0,0,1
FloorHeight = -2.95
FloorColor = 1,1,1
HF_Fallof = 0.15838
HF_Const = 0
HF_Intensity = 0.15584
HF_Dir = 0,-0.41748,-1
HF_Offset = 3.924
HF_Color = 0.827451,0.901961,1,0.78462
HF_Scatter = 10
HF_Anisotropy = 0.490196,0.490196,0.490196
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 0.2
CloudFlatness = 0.75
CloudTops = 3
CloudBase = -4.2704
CloudDensity = 0.61842
CloudRoughness = 0.61016
CloudContrast = 2.5
CloudColor = 0.462745,0.713725,0.678431
SunLightColor = 0.7,0.5,0.3
Up = 0.0928441,0.0503252,-0.890148
#endpreset


#preset 07
FOV = 0.5042
Eye = -1.03237,-3.92985,-0.750425
Target = -0.976469,-3.91648,-0.831703
FocalPlane = 1
Aperture = 0
InFocusAWidth = 1
ApertureNbrSides = 7
ApertureRot = 15
ApStarShaped = false
Gamma = 0.53845
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1.5
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.29412
BloomPow = 5.0588
Detail = -3.1
FudgeFactor = 0.04878
MaxDistance = 13
Dither = 1
NormalBackStep = 1
SpecularExp = 500
CamLight = 0.772549,0.894118,1,0.73846
CamLightMin = 1
LightPos = -1.6854,-7.0786,-4.6914
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 0.494118,0.494118,0.494118
OrbitStrength = 0.87671
X = 0.321569,0.517647,0.6,-0.11112
Y = 0.854902,0.960784,0.854902,0.29292
Z = 1,0.882353,0.584314,-0.77778
R = 0.584314,0.568627,0.654902,0.67346
BackgroundColor = 0.827451,0.827451,0.827451
GradientBackground = 0.3
CycleColors = false
Cycles = 0.8538
MI = 20
MI2 = 20
v1 = 0.8014
v2 = 2,2,1.5929
v3 = 1
w1 = 1.0909,0.61818,0.58182
Size = 1.21904
CSize = 1.81632,1.06122,0.63266
C = -0.11024,0,0
DEoffset = 0
Offset = -1.14608,0.396,-0.07692
ColorIterations = 6
iIterations = 7
iScale = 4
Bailout = 1000
iSize = 1
plnormal = 0.992,-0.775,0.933
iOffset = 0.96226,0.79121,0
Angle1 = -180
Rot1 = 1,1,1
Angle2 = 1.368
Rot2 = 1,1,0
BloomTaps = 20
MaxRaySteps = 2000
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.729412,0.505882,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0,0,1
FloorHeight = -2.95
FloorColor = 1,1,1
HF_Fallof = 0.15838
HF_Const = 0
HF_Intensity = 0.15584
HF_Dir = 0,-0.41748,-1
HF_Offset = 3.924
HF_Color = 0.827451,0.901961,1,0.78462
HF_Scatter = 10
HF_Anisotropy = 0.490196,0.490196,0.490196
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 0.2
CloudFlatness = 0.75
CloudTops = 3
CloudBase = -4.2704
CloudDensity = 0.61842
CloudRoughness = 0.61016
CloudContrast = 2.5
CloudColor = 0.462745,0.713725,0.678431
SunLightColor = 0.7,0.5,0.3
Up = 0.0992994,-0.887477,-0.0777114
#endpreset





#preset 08
FOV = 0.5042
Eye = 8.67396,-4.11194,-2.33656
Target = 8.74772,-4.06636,-2.28763
FocalPlane = 1
Aperture = 0
InFocusAWidth = 1
ApertureNbrSides = 7
ApertureRot = 15
ApStarShaped = false
Gamma = 0.6
ToneMapping = 5
Exposure = 0.86169
Brightness = 1
Contrast = 1.5
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 0.1
BloomPow = 8
Detail = -3.1
FudgeFactor = 0.34177
MaxDistance = 66.67
Dither = 1
NormalBackStep = 1
SpecularExp = 500
CamLight = 0.905882,0.972549,1,1
CamLightMin = 1
LightPos = 6.1798,-5.2808,11.4
LightSize = 0.07216
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 0.494118,0.494118,0.494118
OrbitStrength = 1
X = 0.321569,0.517647,0.6,-0.11112
Y = 0.854902,0.960784,0.854902,-0.23232
Z = 1,0.52549,0.364706,1
R = 0.517647,0.623529,0.654902,0.36734
BackgroundColor = 0.827451,0.827451,0.827451
GradientBackground = 0.3
CycleColors = false
Cycles = 4.8538
MI = 20
MI2 = 20
v1 = 0.8014
v2 = 2,2,1.5929
v3 = 1
w1 = 1.0909,0.61818,0.58182
Size = 1.06666
CSize = 1.81632,1.06122,0.63266
C = -0.11024,0,0
DEoffset = 0
Offset = -1.14608,0.396,-0.07692
ColorIterations = 11
iIterations = 10
iScale = 4
Bailout = 1000
iSize = 1
plnormal = 0.992,-0.782,0.9224
iOffset = 0.96226,0.79121,0
Angle1 = -180
Rot1 = 1,1,0.75258
Angle2 = 1.368
Rot2 = 1,1,0
BloomTaps = 20
MaxRaySteps = 2000
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,0.82979
AoCorrect = 0
Specular = 0
Reflection = 0.345098,0.278431,0.2
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.729412,0.505882,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0,1,0
FloorHeight = -3.4
FloorColor = 0.572549,0.65098,0.713725
HF_Fallof = 9.49955
HF_Const = 0
HF_Intensity = 1
HF_Dir = 0,-1,0
HF_Offset = 3.6572
HF_Color = 0.721569,0.835294,1,1.06155
HF_Scatter = 52.6203
HF_Anisotropy = 0.686275,0.717647,0.894118
HF_FogIter = 1
HF_CastShadow = true
CloudScale = 0.63876
CloudFlatness = -0.279
CloudTops = 10
CloudBase = -2.405
CloudDensity = 0.23684
CloudRoughness = 0.33898
CloudContrast = 10
CloudColor = 0.756863,0.835294,0.886275
SunLightColor = 0.698039,0.615686,0.478431
Up = 0.409872,-0.945482,0.262882
#endpreset





#preset 09
FOV = 0.4
Eye = 1.10961,-6.7594,4.21717
Target = 1.04319,-6.68712,4.20061
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 7
ApertureRot = 0
ApStarShaped = false
Gamma = 2
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
Detail = -3
FudgeFactor = 0.40506
MaxDistance = 20
Dither = 0.88182
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.58824
CamLightMin = 1
LightPos = 10,-5.8696,0.5618
LightSize = 1
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.411765,0.6,0.556863,0.22448
Y = 0.592157,0.666667,0.592157,1
Z = 0.937255,0.905882,1,1
R = 0.666667,0.666667,0.498039,0.67308
BackgroundColor = 0.588235,0.756863,0.835294
GradientBackground = 0
CycleColors = false
Cycles = 12.0253
MI = 10
MI2 = 45
v1 = 1
v2 = 2,2,2
v3 = 0
w1 = 1,1,1
Size = 1
CSize = 0.0885,1,1
C = -0.11024,0,0
DEoffset = 0
Offset = 0,0,0
ColorIterations = 6
iIterations = 1
iScale = 2
Bailout = 100
iSize = 0
plnormal = 1,0,0
iOffset = 0,0,0
Angle1 = 0
Rot1 = 1,1,1
Angle2 = 0
Rot2 = 1,1,1
BloomTaps = 4
MaxRaySteps = 828
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.870588,0.737255,1
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 1.53095
HF_Const = 0
HF_Intensity = 0.4
HF_Dir = 1,0,0
HF_Offset = 0.1266
HF_Color = 0.32549,0.415686,0.419608,1.36764
HF_Scatter = 0
HF_Anisotropy = 0,0,0
HF_FogIter = 1
HF_CastShadow = false
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = 0.395083,0.281221,-0.357119
#endpreset

#preset 10
 FOV = 0.6
Eye = 2.11295,-7.0874,7.45817
Target = 2.09828,-7.07122,7.36105
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 7
ApertureRot = 0
ApStarShaped = false
Gamma = 1.58655
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1.4433
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
Detail = -3
FudgeFactor = 1
MaxDistance = 20
Dither = 0.88182
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.7353
CamLightMin = 1
LightPos = 10,-8.913,6.3044
LightSize = 1
LightGlowRad = 0
LightGlowExp = 1
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.411765,0.6,0.556863,0.22448
Y = 0.592157,0.666667,0.592157,1
Z = 0.937255,0.905882,1,1
R = 0.666667,0.666667,0.498039,0.67308
BackgroundColor = 0.588235,0.756863,0.835294
GradientBackground = 0
CycleColors = false
Cycles = 12.0253
MI = 10
MI2 = 45
v1 = 0.537
v2 = 2,2,2
v3 = 0
w1 = 1,1,1
Size = 1
CSize = 0.1062,1,1
C = 0.00552,0,0
DEoffset = 0
Offset = 0,0,0
ColorIterations = 5
iIterations = 4
iScale = 2
Bailout = 100
iSize = 2
plnormal = 1,-0.72126,0
iOffset = 0,0,0
Angle1 = 0
Rot1 = 1,1,1
Angle2 = 0
Rot2 = 1,1,1
BloomTaps = 4
MaxRaySteps = 828
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.870588,0.737255,1.2069
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 5
HF_Const = 0
HF_Intensity = 0.24675
HF_Dir = 1,0,0
HF_Offset = 0.8724
HF_Color = 0.376471,0.533333,0.533333,1.3
HF_Scatter = 0
HF_Anisotropy = 0,0,0
HF_FogIter = 1
HF_CastShadow = false
CloudScale = 1
CloudFlatness = 0
CloudTops = 1
CloudBase = -1
CloudDensity = 1
CloudRoughness = 1
CloudContrast = 1
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = 0.595557,0.00271777,-0.0895236
#endpreset


#preset 11
FOV = 0.6
Eye = 0.745834,-5.36224,6.46249
Target = 0.766635,-5.35348,6.36554
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 7
ApertureRot = 0
ApStarShaped = false
Gamma = 1.58655
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1.4433
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 1.25
BloomPow = 4
Detail = -3.3
FudgeFactor = 0.48101
MaxDistance = 20
Dither = 0.88182
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.70588
CamLightMin = 1
LightPos = 6.4044,4.8314,7.9776
LightSize = 1
LightGlowRad = 5
LightGlowExp = 2.34835
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.411765,0.6,0.556863,0.22448
Y = 0.592157,0.666667,0.592157,1
Z = 0.937255,0.905882,1,1
R = 0.666667,0.666667,0.498039,0.67308
BackgroundColor = 0.423529,0.709804,0.831373
GradientBackground = 0.3262
CycleColors = false
Cycles = 12.0253
MI = 10
MI2 = 45
v1 = 0.537
v2 = 2,2,2
v3 = 0.73228
w1 = 1,1,1
Size = 1
CSize = 0.1062,1,1
C = 0.00552,0,0
DEoffset = 0
Offset = 0,0,0
ColorIterations = 5
iIterations = 4
iScale = 2
Bailout = 100
iSize = 2
plnormal = 1,-0.79252,0.03158
iOffset = 0,0.08491,0
Angle1 = 92.0016
Rot1 = 1,1,1
Angle2 = 0
Rot2 = 1,1,1
BloomTaps = 20
MaxRaySteps = 2000
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0,0,0
ReflectionsNumber = 0
SpotGlow = true
SpotLight = 1,0.870588,0.737255,1.2069
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = true
FloorNormal = -1,-0.1282,0.23076
FloorHeight = 1.3869
FloorColor = 0.619608,0.721569,0.615686
HF_Fallof = 4.89476
HF_Const = 0
HF_Intensity = 0.24675
HF_Dir = 1,-0.08738,0.16504
HF_Offset = 2.1952
HF_Color = 0.376471,0.533333,0.533333,1.15386
HF_Scatter = 0
HF_Anisotropy = 0,0,0
HF_FogIter = 1
HF_CastShadow = false
CloudScale = 1
CloudFlatness = 0
CloudTops = 10
CloudBase = 2.1518
CloudDensity = 0.52632
CloudRoughness = 1
CloudContrast = 5.9375
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = 0.586101,0.0477417,0.130064
#endpreset

#preset 12
FOV = 0.6
Eye = 0.480441,-5.27255,6.27974
Target = 0.488393,-5.28928,6.18194
FocalPlane = 1
Aperture = 0
InFocusAWidth = 0
ApertureNbrSides = 7
ApertureRot = 0
ApStarShaped = false
Gamma = 1.58655
ToneMapping = 5
Exposure = 1
Brightness = 0.75
Contrast = 1.7
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 0.70588
BloomPow = 5
Detail = -3.3
FudgeFactor = 0.48101
MaxDistance = 20
Dither = 0.88182
NormalBackStep = 1
SpecularExp = 16
CamLight = 0.772549,0.894118,1,0.67648
CamLightMin = 1
LightPos = 15,3.9326,12.8
LightSize = 1
LightGlowRad = 5
LightGlowExp = 1.76835
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.411765,0.6,0.556863,0.22448
Y = 0.592157,0.666667,0.592157,1
Z = 0.937255,0.905882,1,1
R = 0.666667,0.666667,0.498039,0.67308
BackgroundColor = 0.423529,0.709804,0.831373
GradientBackground = 0.2
CycleColors = false
Cycles = 0.1
MI = 10
MI2 = 45
v1 = 0.472
v2 = 2,2,2
v3 = 0.73228
w1 = 1,1,1
Size = 1
CSize = 0.1062,1,1
C = 0.00552,0,0
DEoffset = 0
Offset = 0,0,0
ColorIterations = 5
iIterations = 4
iScale = 1.69072
Bailout = 100
iSize = 2
plnormal = 1,-0.79252,0.03158
iOffset = 0,0.08491,0
Angle1 = 92.0016
Rot1 = 1,1,1
Angle2 = 0
Rot2 = 1,1,1
BloomTaps = 20
MaxRaySteps = 2000
Glow = 0.905882,1,0.823529,0
GlowMax = 20
DetailAO = -1e-05
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
Reflection = 0.403922,0.360784,0.305882
ReflectionsNumber = 2
SpotGlow = true
SpotLight = 1,0.803922,0.627451,1.2069
LightFallOff = 0
HardShadow = 1
ShadowSoft = 0
EnableFloor = true
FloorNormal = -1,-0.1282,0.23076
FloorHeight = 1.6046
FloorColor = 0.513725,0.596078,0.505882
HF_Fallof = 4.89476
HF_Const = 0
HF_Intensity = 0.24675
HF_Dir = 1,-0.08738,0.16504
HF_Offset = 2.3182
HF_Color = 0.376471,0.533333,0.533333,1.29231
HF_Scatter = 10
HF_Anisotropy = 0,0,0
HF_FogIter = 1
HF_CastShadow = false
CloudScale = 1.31879
CloudFlatness = 0
CloudTops = 10
CloudBase = 2.1518
CloudDensity = 0.52632
CloudRoughness = 1
CloudContrast = 5.9375
CloudColor = 0.65,0.68,0.7
SunLightColor = 0.7,0.5,0.3
Up = 0.59197,0.10672,0.0298842
#endpreset



